- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtil::Optimizer::CheckGeometryVisitor Class Reference

Inheritance diagram for osgUtil::Optimizer::CheckGeometryVisitor:

[legend]
List of all members.

## Public Member Functions
| CheckGeometryVisitor (Optimizer *optimizer=0)
| default to traversing all children.
virtual void | apply (osg::Geode &geode)
void | checkGeode (osg::Geode &geode)
bool | isOperationPermissibleForObject (const osg::Object *object) const
## Public Attributes
Optimizer * | _optimizer

## Constructor & Destructor Documentation

osgUtil::Optimizer::CheckGeometryVisitor::CheckGeometryVisitor | ( | Optimizer * | optimizer = `0` | ) | `[inline]`

| default to traversing all children.

## Member Function Documentation

virtual void osgUtil::Optimizer::CheckGeometryVisitor::apply | ( | osg::Geode & | geode | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

void Optimizer::CheckGeometryVisitor::checkGeode | ( | osg::Geode & | geode | ) |

bool osgUtil::Optimizer::CheckGeometryVisitor::isOperationPermissibleForObject | ( | const osg::Object * | object | ) | const`[inline]`

## Member Data Documentation

Optimizer* osgUtil::Optimizer::CheckGeometryVisitor::_optimizer

The documentation for this class was generated from the following files:

- Optimizer
- Optimizer.cpp